Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

externalIdMatchesAny
string[]

Filter controls whose externalId matches any of the provided values (exact, case-sensitive match).

segmentIdsMatchesAny
string[]

Return only controls whose inScopeSegmentIds include at least one of these segment IDs from the audit's segments[].id (exact, case-sensitive). IDs that aren't segments on this audit match nothing. Repeat the parameter for several IDs, and send the same filters with every pageCursor.

Response

200 - application/json

Ok

results
object
required